Redmine - Feature #19755
Drop protected_attributes gem
2015-05-04 20:00 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

protected_attributes will not be supported on Rails 5.

- https://github.com/rails/protected attributes/issues/69

- https://github.com/rails/protected attributes/blame/v1.0.9/README.md#L9

- https://github.com/rails/protected_attributes/commit/21efae9e2e2ca418e2e069403117ec452a66db5c#comments

Related issues:

Blocks Redmine - Feature # 23630: Migrate to Rails 5.2

Closed

History

#1 - 2015-05-10 10:26 - Jean-Philippe Lang

- Subject changed from replace protected_attributes by strong parameters to Drop protected_attributes gem

- Target version set to 4.0.0

#5 - 2016-07-02 10:51 - Go MAEDA

FYI: Rails 5.0 has been released on June 30.
http://weblog.rubyonrails.org/2016/6/30/Rails-5-0-final/

#6 - 2016-08-22 09:31 - Toshi MARUYAMA
- Blocks Feature #23630: Migrate to Rails 5.2 added

#7 - 2017-07-23 13:38 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

2021-10-28

1/1



https://github.com/rails/protected_attributes/issues/69
https://github.com/rails/protected_attributes/blame/v1.0.9/README.md#L9
https://github.com/rails/protected_attributes/commit/21efae9e2e2ca418e2e069403117ec452a66db5c#comments
http://weblog.rubyonrails.org/2016/6/30/Rails-5-0-final/

